// ===================================================================
// $Id: lrcache.cpp,v 1.2 2005/11/02 12:59:02 xkrivanj Exp $
//
// lrcache.cpp
//  Class used as a cache for the last result of the query
//   to the (ir)radiance cache.
//
// Initial coding by Jaroslav Krivanek, May 2004.

// GOLEM headers
#include "config.h"
#include "lrcache.h"

__BEGIN_GOLEM_SOURCE

CLastIRCacheResult::CLastIRCacheResult() 
{
  surface = 0;
  normal.SetValue(MAXFLOAT);
  point.SetValue(MAXFLOAT);
  minR=0;

  nCachedSamples=0;
  nFailed=0;
  nSucceed=0;
}

__END_GOLEM_SOURCE

