// ===================================================================
// $Id: rcrecord.cpp,v 1.1 2005/11/02 12:59:02 xkrivanj Exp $
//
// rcache.cpp
//     Implementation of the radiance cache.
//
// Class: CRadianceCache
//
// Initial coding by Jaroslav Krivanek - December 2003.

// GOLEM headers
#include "config.h"
#include "icrecord.h"
#include "rcrecord.h"

__BEGIN_GOLEM_SOURCE

// maximum is 60 degrees normal divergence between the record normal and 
// the query point normal
template<class TRecord>
float CICRCRecord<TRecord>::maxAllowedDot=0.5;
template<class TRecord>
bool  CICRCRecord<TRecord>::smoothWardWeight=false;
template<class TRecord>
const float CICRCRecord<TRecord>::jitterAmount = 1.2;

template class CICRCRecord<CIrradianceRecord>;
template class CICRCRecord<CRadianceRecord>;

__END_GOLEM_SOURCE
